Subject: Re: [Idr] Adoption call for draft-dunbar-idr-5g-edge-compute-app-meta-data-09.txt (7/29/2022 to 8/12/2022)

From: Linda Dunbar <[email-masked]>
Date: Tue, 16 Aug 2022 18:12:17 +0000

Cheng,

Thank you very much for the questions.
Two other people have also suggested to carry the app meta data in the path attribute, maybe creating a new subTLV  (Load Index Sub-TLV and Site Preference Sub TLV) under the Opaque Extended community?

Answer to your second question is inserted below:

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Chengli (Cheng Li)
Sent: Tuesday, August 16, 2022 4:38 AM
To: Chengli (Cheng Li) <c.l=[email-masked]>; Susan Hares <[email-masked]>; [email-masked]
Subject: Re: [Idr] Adoption call for draft-dunbar-idr-5g-edge-compute-app-meta-data-09.txt (7/29/2022 to 8/12/2022)

I am not really understand the meeting of only setting  => I am not really understand the meaning of only setting

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Chengli (Cheng Li)
Sent: Tuesday, August 16, 2022 5:35 PM
To: Susan Hares <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] Adoption call for draft-dunbar-idr-5g-edge-compute-app-meta-data-09.txt (7/29/2022 to 8/12/2022)

Hi Sue and IDRers,

I read the draft and support the adoption with comments.

1. It may be good to use a new Path Attribute instead of putting TLV into Tunnel Encap Path attributes IMHO. This can be discussed after the adoption. The main idea of distributing APP metadata is useful.
2. Regarding the weighted Load Index[1]  in section 4.1. I am not really understand the meeting of only setting four weight for four types of metrics. It may need to comparing with the Capacity? Hope to see more clarification of this in the next revision.

[Linda] all the attributes have different units, such as Capacity has a number (1-00), load index can be (1-100), but bandwidth is represented as Gbts/s. We need one single value for FIB to choose the optimal path. The Weights, which are configured, are used to combine attributes with different units to one single value, to make it easier for FIB to compare.

Linda

Generally, I think this is a good starting point of a WG document, and would like to contribute to the draft if possible.
More reply, please see below.

Thanks and respect,
Cheng

[1]. https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-dunbar-idr-5g-edge-compute-app-meta-data-10%23section-4.1&amp;data=05%7C01%7Clinda.dunbar%40futurewei.com%7Cd536f3405fa34f25c8ec08da7f6b084d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637962394943360317%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=LNQFrgJIp7gQi7wktsxktrMWI9O9pe8rgqSB3lUNHj8%3D&amp;reserved=0

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, July 29, 2022 6:23 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] Adoption call for draft-dunbar-idr-5g-edge-compute-app-meta-data-09.txt (7/29/2022 to 8/12/2022)

This begins a 3 week WG Adoption call for draft-dunbar-idr-5g-edge-compute-app-meta-data-09.txt
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-idr-5g-edge-compute-app-meta-data%2F&amp;data=05%7C01%7Clinda.dunbar%40futurewei.com%7Cd536f3405fa34f25c8ec08da7f6b084d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637962394943517327%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=pyvXxcKvw2Tud6jaF0s8G9Et3VfHuX7NMycnrmlBZZw%3D&amp;reserved=0

This draft proposes a new SubTLV (AppMetaData) for the BGP Tunnel Encapsulation Attribute [RFC9012] that indicates the running status and environment of directly attached 5G Edge Computing (EC) instances.

The AppMetaData can be used by routers in the 5G Local Data Network to make path selection not only based on the routing distance but also the running environment of the destinations. The goal is to improve latency and performance for 5G EC services.

In your discussion of this adoption call, please consider these questions:

1) The addition of this type of information to tunnels is useful for inter-domain routing within 5G networks?
[Cheng]Yes, it is useful. But I have concern of where to put the information.

2) What type of additional load this data to Basic Tunnel encapsulation [RFC9012]?
[Cheng]Sorry, I do not really get this question.  But it is different with SR policy for sure.

For example is the load placed by this draft equal or Less than the SR routing additions from such as draft-ietf-idr-segment-routing-te-policy?

3) Will the addition of this information aid Routing in 5G networks?
[Cheng] it can help in 5G networks.

Cheers, Sue Hares

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fidr&amp;data=05%7C01%7Clinda.dunbar%40futurewei.com%7Cd536f3405fa34f25c8ec08da7f6b084d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637962394943517327%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=8FNmav0OGFOA52NUZWMMNsASwZxTP%2F%2F%2FiOfPyRpx3fE%3D&amp;reserved=0

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fidr&amp;data=05%7C01%7Clinda.dunbar%40futurewei.com%7Cd536f3405fa34f25c8ec08da7f6b084d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637962394943517327%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=8FNmav0OGFOA52NUZWMMNsASwZxTP%2F%2F%2FiOfPyRpx3fE%3D&amp;reserved=0

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fidr&amp;data=05%7C01%7Clinda.dunbar%40futurewei.com%7Cd536f3405fa34f25c8ec08da7f6b084d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637962394943517327%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=8FNmav0OGFOA52NUZWMMNsASwZxTP%2F%2F%2FiOfPyRpx3fE%3D&amp;reserved=0